Skip to main content
GET
/
apl-starred-queries
cURL
curl --request GET \
  --url https://api.axiom.co/v2/apl-starred-queries \
  --header 'Authorization: Bearer <token>'
[
  {
    "kind": "apl",
    "metadata": {},
    "name": "<string>",
    "query": {
      "apl": "<string>",
      "cursor": "<string>",
      "defaultLimit": 123,
      "defaultOrder": [
        {
          "desc": true,
          "field": "<string>"
        }
      ],
      "endTime": "<string>",
      "includeCursor": true,
      "includeCursorField": true,
      "libraries": [
        "<string>"
      ],
      "queryOptions": {
        "disableCache": true,
        "disableStats": true,
        "disableTrace": true,
        "maxDataPoints": 123,
        "maxSeries": 123,
        "noAggregation": true,
        "noFill": true,
        "noInterpolation": true,
        "priority": "low",
        "resolution": "<string>",
        "displayNull": "auto",
        "overlayCharts": "true",
        "shownColumns": "<string>",
        "timeSeriesVariant": "area",
        "timeSeriesView": "charts"
      },
      "startTime": "<string>",
      "variables": {}
    },
    "who": "<string>",
    "id": "<string>",
    "dataset": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://axiom.co/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate using an API token or personal access token (PAT). Include the token as a Bearer token: Authorization: Bearer <token>. For more information, see Tokens.

Query Parameters

limit
integer<int64>
default:100
Required range: 1 <= x <= 1000
offset
integer<int64>
default:0
Required range: x >= 0
dataset
string
who
string
  • If the value of who is undefined, the request returns queries starred by the authenticated user.
  • If the value of who is a user ID, the request returns queries starred by the user with this ID (this request requires elevated privileges). For example, &who='abc123'.
  • If the value of who is team, the request returns queries starred by the team apart from the authenticated user.For example, &who=team.
  • If the value of who is all, the request returns queries starred by all users in the team, including the authenticated user. For example, &who=all.
qs
string

Response

200 - application/json

StarredQueryWithId

kind
enum<string>
required
Available options:
apl
metadata
object
required
name
string
required
query
object
required
who
string
required
id
string
required
dataset
string